<?php

// Theme Name: kante
// Edit this file on your own risk!

add_action('admin_menu', 'kante_options');
add_action('wp_head', 'kante_feed');

function kante_feed() {
	$last_update = intval(get_option('kante_feed_lastupdate'));
	$enable = get_option('kante_feed_enable');
	$now = time();
	if($enable === 'yes' and ($now - $last_update) > (60*60*24)) :
		//get cool feedburner count
		$feed = get_option('kante_feed_uri');
		$whaturl="http://api.feedburner.com/awareness/1.0/GetFeedData?uri=$feed";
		
		//Initialize the Curl session
		$ch = curl_init();
		
		//Set curl to return the data instead of printing it to the browser.
		curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
		//Set the URL
		curl_setopt($ch, CURLOPT_URL, $whaturl);
		//Execute the fetch
		$data = curl_exec($ch);
		//Close the connection
		curl_close($ch);
	
		$xml = new SimpleXMLElement($data);
		$fb = $xml->feed->entry['circulation'];
		if(!$fb) :
			$fb = 0;
		endif;
		$id = $xml->feed['id'];
		
		update_option("kante_feed_count", "<strong>" .$fb." Reader".($fb > 1 ? "s</strong>" : ""));
		update_option('kante_feed_id', $id."");
		//end get cool feedburner count
		
		update_option("kante_feed_lastupdate", $now."");
	endif;
}

function kante() {
	
	if(isset($_POST['submitted']) and $_POST['submitted'] == 'yes') :
		update_option("kante_feed_uri", stripslashes($_POST['feed_uri']));
		update_option("kante_aside_cat", stripslashes($_POST['aside_cat']));
		update_option("kante_about_site", stripslashes($_POST['about_site']));
		update_option("analytics", stripslashes($_POST['analytics']));
		update_option("ad_box", stripslashes($_POST['ad_box']));
		if(isset($_POST['feed_update']) and $_POST['feed_update'] == 'yes') :
			update_option("kante_feed_lastupdate", "0");
		endif;
		
		if(isset($_POST['feed_enable']) and $_POST['feed_enable'] == 'yes') :
			update_option("kante_feed_enable", "yes");
		else :
			update_option("kante_feed_enable", "no");
		endif;
		
		echo "<div id=\"message\" class=\"updated fade\"><p><strong>Your settings have been saved.</strong></p></div>";
	endif; 
	
	$data = array(
		'feed' => array(
			'uri' => get_option('kante_feed_uri'),
			'id' => get_option('kante_feed_id'),
			'enable' => get_option('kante_feed_enable')
		),
		'aside' => get_option('kante_aside_cat'),
		'about' => get_option('kante_about_site')
	);
?>
<!-- Our Community Settings Update Form -->
<div class="wrap">	
	<form method="post" name="update_form" target="_self">	
    	<h2>Grey Box Settings</h2>

        <h3>Feedburner</h3>
		<p>Add your feedburner feed at the top right side of your blog so that your readers can subscribe your feed easily.</p>
		<table class="form-table my">
			<tr>
				<th>
					Feedburner ID:
				</th>
				<td>
					http://feeds.feedburner.com/<input type="text" name="feed_uri" value="<?php echo $data['feed']['uri']; ?>" size="35" />
                    <br />Check to enable feed count (text) <input type="checkbox" name="feed_enable" <?php echo ($data['feed']['enable'] == 'yes' ? 'checked="checked"' : ''); ?> value="yes" /> 
				</td>
			</tr>
            <tr>
				<th>
					Email Subscriber URL :
				</th>
				<td>
					http://www.feedburner.com/fb/a/emailverifySubmit?feedId=<strong><?php echo $data['feed']['id']; ?></strong>&amp;loc=en_US<br />Use to allow visitor to subscribe feed using e-mail.
				</td>
			</tr>
            <tr>
				<th>
					Update Reader Count:
				</th>
				<td>
					Last update: <strong><?php echo date('m/d/Y H:i:s', get_option('kante_feed_lastupdate')); ?></strong><br /><input type="checkbox" name="feed_update" value="yes" /> Check to reset reader count.
				</td>
			</tr>
		</table>
        <h3>Author Info</h3>
		<p>Add some information about your blog and yourself so that your readers will know more about you. It will display at the top of the sidebar.</p>
		<table class="form-table my">
			<tr>
				<th>
					Description:
				</th>
				<td>
					<textarea name="about_site" rows="10" style="width:95%"><?php echo $data['about']; ?></textarea>
				</td>
			</tr>
		</table>
        <h3>Analytics and Ad</h3>
		<p>You can add your Google Analytics Code or others and your AD code in this two fields, then the AD will display on your sidebar and Analytics will be installed on the footer.
		<table class="form-table my">
			<tr>
				<th>
					Analytics Codes:
				</th>
				<td>
					<textarea name="analytics" cols="80" rows="10" /><?php echo get_option('analytics'); ?></textarea><br />Paste your Analytics codes here (If your have one, e.g <a href="http://www.google.com/analytics/" target="_blank">Google Analytics</a>.).
				</td>
			</tr>
            <tr>
				<th>
					AD Codes( 300 x 250 ) Sidebar:
				</th>
				<td>
					<textarea name="ad_box" cols="80" rows="10" /><?php echo get_option('ad_box'); ?></textarea><br />Paste your AD Codes. (e.g: <a href="http://adsense.google.com/" target="_blank">Google Adsense</a>, )
				</td>
			</tr>
		</table>

        <p class="submit">
			<input name="submitted" type="hidden" value="yes" />
			<input type="submit" name="Submit" value="Update &raquo;" />
		</p>
	</form>
     	<h2>iWP.me</h2>
		<p>Thank you for using the Free Wordpress Theme Grey Box from iWP.me. If you need any support, feel free to <a href="http://iwp.me/contact">CONTACT US</a>. You can get other WordPress Themes and some WordPress tips at <a href="http://iwp.me" target="_blank">iWP.me</a>.</p>
</div>
<?php
}

function kante_options() { // Adds Dashboard Menu Item
	add_menu_page('kante Settings', 'kante Settings', 'edit_themes', __FILE__, 'kante');
}

if(function_exists('register_sidebar')) :
    register_sidebar(array(
        'name' => 's_top',
		'before_widget' => '<div class="b_items">',
        'after_widget' => '</div>',
        'before_title' => '<h2>',
        'after_title' => '</h2>',
    ));
endif;
?>